Subject: Re: Ietf Digest, Vol 37, Issue 103

From: Amenawon Osa Peter <[email-masked]>
Date: Wed, 29 Jun 2011 23:23:20 +0100

I as a new member is it possible that i be given a clue on what this
work group aim is to enable me be able to contribute positively.

thank you

On 6/29/11, [email-masked] <[email-masked]> wrote:
> If you have received this digest without all the individual message
> attachments you will need to update your digest options in your list
> subscription.  To do so, go to
>
> https://www.ietf.org/mailman/listinfo/ietf
>
> Click the 'Unsubscribe or edit options' button, log in, and set "Get
> MIME or Plain Text Digests?" to MIME.  You can set this option
> globally for all the list digests you receive at this point.
>
>
>
> Send Ietf mailing list submissions to
> 	[email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.ietf.org/mailman/listinfo/ietf
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
>
> You can reach the person managing the list at
> 	[email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Ietf digest..."
>
>
> Today's Topics:
>
>    1. HOMENET working group proposal (Jari Arkko)
>    2. RE: [ftpext] Last Call: <draft-ietf-ftpext2-hosts-02.txt>
>       (File	Transfer Protocol	HOST Command for Virtual Hosts) to
>       Proposed	Standard (Robert McMurray)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Wed, 29 Jun 2011 10:47:18 +0200
> From: Jari Arkko <[email-masked]>
> To: "[email-masked]" <[email-masked]>, IETF Discussion
> 	<[email-masked]>
> Cc: "W. Mark Townsley" <[email-masked]>
> Subject: HOMENET working group proposal
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=windows-1252; format=flowed
>
> I would like to announce a new effort around home networking and solicit
> some feedback.
>
> HOMENET is a new working group proposal, a variation of the
> HOMEGATE/HOMENET theme that we discussed last year, but this time
> looking at it from a different angle. The old effort was mostly focused
> about what home gateways should do: forwarding, transport, and DNS
> proxying issues. The new effort is about home networks themselves, in
> particular what kind of network architecture and configuration is
> necessary to support IPv6-based home networks. We view IPv4-based home
> networks as "done" at this time (or perhaps as "cannot be changed anyway").
>
> I have been discussing this effort in the background for the last couple
> of month with Mark Townsley and others, and more publicly since early
> June. The proposal has been brought to the IESG, IAB and some
> directorates for discussion, and we've been going back and forth whether
> this is ready to become a working group or needs to be run as a BOF in
> Quebec City. The current plan is that the working group proposal goes to
> IETF-wide review this week, and if the feedback from the community, IAB,
> and the IESG is positive, we will create the working group just in time
> for the IETF. Otherwise, the slot reserved in the agenda for the meeting
> will be used to run the proposal as a BOF.
>
> In any case, I would like to solicit discussion on this topic, and
> perhaps some early drafts as well. Please comment on the charter at
> least. Go here to subscribe https://www.ietf.org/mailman/listinfo/fun
> and below you can find the most recent charter proposal. Please join the
> list and the discussion.
>
> Note that the new proposal was called FUN at the time that we created
> the list. It has now been renamed back to HOMENET to be more
> descriptive. The list will be renamed soon as well (current subscribers
> will stay). Note also that I'm sending this to the old homegate list, to
> inform people who were interested in that. I'd like the discussion to
> happen on the [email-masked] list, however.
>
> Jari
>
> Home Networks (homenet)
> -----------------------------------
>
> Current Status: Proposed
> Last Edit: Wednesday, June 29th, 2011
>
> Chairs:
> TBD
>
> Internet Area Directors:
> Ralph Droms <[email-masked]>
> Jari Arkko <[email-masked]>
>
> Internet Area Advisor:
> Jari Arkko <[email-masked]>
>
> Routing Area Technical Advisor:
> TBD
>
> Security Area Technical Advisor:
> TBD
>
> Mailing Lists:
> General Discussion: [email-masked]
> To Subscribe: https://www.ietf.org/mailman/listinfo/fun
> Archive: http://www.ietf.org/mail-archive/web/fun
>
> Description of Working Group:
>
> This working group focuses on the evolving networking technology
> within and among relatively small ?residential home? networks. For
> example, an obvious trend in home networking is the proliferation of
> networking technology in an increasingly broad range and number of
> devices. This evolution in scale and diversity sets some requirements
> on IETF protocols. Some of the relevant trends include:
>
> o Multiple segments: While less complex L3-toplogies involving as few
> subnets as possible are preferred in home networks for a variety of
> reasons including simpler management and service discovery, the
> introduction of more than one subnet into a home network is enough
> to add complexity that needs to be addressed, and multiple
> dedicated segments are necessary for some cases. For instance, a
> common feature in modern home routers in the ability to support
> both guest and private network segments. Also, link layer
> networking technology is poised to become more heterogeneous, as
> networks begin to employ both traditional Ethernet technology and
> link layers designed for low-powered sensor networks. Finally,
> similar needs for segmentation may occur in other cases, such as
> separating building control or corporate extensions from the
> Internet access network. Different segments may be associated with
> subnets that have different routing and security policies.
>
> o Service providers are deploying IPv6, and support for IPv6 is
> increasingly available in home gateway devices. While IPv6 resembles
> IPv4 in many ways, it changes address allocation principles and allows
> direct IP addressability and routing to devices in the home from the
> Internet. This is a promising area in IPv6 that has proved challenging
> in IPv4 with the proliferation of NAT.
>
> o End-to-end communication is both an opportunity and a concern as it
> enables new applications but also exposes nodes in the internal
> networks to receipt of unwanted traffic from the Internet. Firewalls
> that restrict incoming connections may be used to prevent exposure,
> however, this reduces the efficacy of end-to-end connectivity that
> IPv6 has the potential to restore.
>
> Home networks need to provide the tools to handle these situations in
> a manner accessible to all users of home networks. Manual
> configuration is rarely, if at all, possible. The purpose of this
> working group is to focus on this evolution, in particular as it
> addresses the introduction of IPv6, by developing an architecture
> addressing this full scope of requirements:
>
> o prefix configuration for routers
> o managing routing
> o name resolution
> o service discovery
> o network security
>
> The task of the group is to produce an architecture document that
> outlines how to construct home networks involving multiple routers and
> subnets. This document is expected to apply the IPv6 addressing
> architecture, prefix delegation, global and ULA addresses, source
> address selection rules and other existing components of the IPv6
> architecture. The architecture document should drive what protocols
> changes, if any, are necessary. Specific protocol work described below
> is expected to be within the scope of the working group one the
> architecture work is complete. However, the group is required to
> review its charter and milestones with the IESG and IETF community
> before submitting documents that make protocol changes. It is expected
> that the group has to discuss some of the below solutions, however, in
> order to complete the architecture work.
>
> The group will apply existing protocols to handle the five
> requirements above. For prefix configuration, existing protocols are
> likely sufficient, and at worst may need some small enhancements, such
> as new options. For automatic routing, it is expected that existing
> routing protocols can be used as is, however, a new mechanism may be
> needed in order to turn a selected protocol on by default. For name
> resolution and service discovery, extensions to existing
> multicast-based name resolution protocols are needed to enable them to
> work across subnets.
>
> For network security, the group shall document the concept of
> "advanced security" as a further development of "simple security" from
> RFC 6092. The main goal of this work is to enable a security policy
> that adapts to IPv6 threats as they emerge, taking into account not
> only traffic from the Internet at large, but within and leaving the
> home network itself.
>
> It is expected that the working group will define a set of protocol
> specifications to accomplish the five requirements from
> above. However, it is not in the scope of the working group to define
> entirely new routing protocols or address allocation protocols. As
> noted, additional options or other small extensions may be necessary
> to use the existing protocols in these new configuration tasks. The
> working group shall also not make any changes to IPv6 protocols or
> addressing architecture. Prefix configuration, routing, and security
> related work shall not cause any changes that are not backwards
> compatible to existing IPv6 hosts. There may be host visible changes
> in the work on naming and discovery protocols, however. In its design,
> the working group shall also consider security aspects and the impact
> on manageability. The main focus of the working group is home
> networks, but the group's results may also find applications in other
> small networks.
>
> The working group will liaise with the relevant IETF working
> groups. In particular, the group should work closely with the V6OPS
> working group, review any use or extension of DHCP with the DHC
> working group, and work with additional DNS requirements with the
> DNSEXT and DNSOP working groups. If it turns out that additional
> options are needed for a routing protocol, they will be developed in
> the appropriate Routing Area working group, with the HOMENET working
> group providing the architecture and requirements for such
> enhancements. The working group will also liase with external
> standards bodies where it is expected that there are normative
> dependencies between the specifications of the two bodies.
> It is expected that in the architecture definition stage liaising
> with the Broadband Forum, DLNA, and UPnP Forum is necessary.
>
> Milestones:
>
> Jul 2011 Formation of the working group
> Sep 2011 First WG draft on the architecture
> Dec 2011 Submission of the architecture draft to the IESG as
> Informational RFC
> Dec 2011 Charter re-evaluation based on the architecture work
> Dec 2011 First WG draft on prefix configuration
> Dec 2011 First WG draft on routing
> Jan 2012 First WG draft on name resolution
> Feb 2012 First WG draft on service discovery
> Feb 2012 First WG draft on perimeter security
> Feb 2012 Start of routing related work in the relevant routing area
> working group, if needed
> Mar 2012 Submission of the prefix configuration draft to the IESG as
> Standards Track RFC
> Apr 2012 Submission of the routing draft to the IESG as Informational RFC
> Sep 2012 Submission of the name resolution draft to the IESG as
> Standards Track RFC
> Nov 2012 Submission of the service discovery draft to the IESG as
> Standards Track RFC
> Dec 2012 Submission of the perimeter security draft to the IESG as
> Informational RFC
>
>
>
> ------------------------------
>
> Message: 2
> Date: Wed, 29 Jun 2011 02:04:16 +0000
> From: Robert McMurray <[email-masked]>
> To: Paul Ford-Hutchinson <[email-masked]>, "[email-masked]"
> 	<[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Subject: RE: [ftpext] Last Call: <draft-ietf-ftpext2-hosts-02.txt>
> 	(File	Transfer Protocol	HOST Command for Virtual Hosts) to Proposed
> 	Standard
> Message-ID:
> 	<[email-masked]>
> 	
> Content-Type: text/plain; charset="us-ascii"
>
> Thanks, Paul.
>
> I believe that I have addressed all of your comments with the following
> actions:
>
> --------------------
> Section 3:
> --------------------
>
>> Surely the first SHOULD has to be a MUST.
>> Otherwise we have a situation where, upon
>> receipt of a valid HOST, some server
>> implementations will implicitly REIN and
>> clear AUTH/USER/ACCT and some will not.
>
> Agreed - I changed that verbiage.
>
> --------------------
> Section 3.2:
> --------------------
>
>> I suggest that either the "wrapper" concept is
>> dropped from the document altogether...
>
> I removed that verbiage. (That was detail for a possible server
> implementation anyway.)
>
> --------------------
> Section 3.2.2:
> --------------------
>
>> should be "to negotiate the security mechanism
>> and relevant authentication token(s)"
>
> I changed that as well.
>
> --------------------
> Section 4
> --------------------
>
>> The "strong method of encryption" is a bit
>> vague. I don't think we can publish this
>> paragraph without being more explicit about
>> what this really means.
>
> I removed that paragraph. By way of explanation, this was in reference a
> server implementation detail that in hindsight probably shouldn't be in this
> document. More specifically, some FTP servers and clients support Implicit
> FTPS, but that is not defined by RFC and lately considered deprecated, so
> it's best to just remove that information.
>
>> I repeat my initial point - this has to be a MUST.
>
> Agreed - I changed that verbiage.
>
>> I would like some mention of the linkage
>> between the identity returned in an X.509
>> certificate and the parameter to the HOST
>> command at the protocol specification level.
>
> I have attached a new version of the draft that contains suggested wording
> for this request, with all of the other changes that I have addressed as
> well.
>
>
> Thanks!
>
> Robert
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: draft-ietf-ftpext2-hosts-04.pdf
> Type: application/pdf
> Size: 34609 bytes
> Desc: draft-ietf-ftpext2-hosts-04.pdf
> URL:
> <http://www.ietf.org/mail-archive/web/ietf/attachments/20110629/3bfb97e2/attachment.pdf>
> -------------- next part --------------
> An embedded and charset-unspecified text was scrubbed...
> Name: draft-ietf-ftpext2-hosts-04.txt
> URL:
> <http://www.ietf.org/mail-archive/web/ietf/attachments/20110629/3bfb97e2/attachment.txt>
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: draft-ietf-ftpext2-hosts-04.xml
> Type: application/xml
> Size: 57525 bytes
> Desc: draft-ietf-ftpext2-hosts-04.xml
> URL:
> <http://www.ietf.org/mail-archive/web/ietf/attachments/20110629/3bfb97e2/attachment.xpdl>
>
> ------------------------------
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>
>
> End of Ietf Digest, Vol 37, Issue 103
> *************************************
>

-- 
In this Life we blow like the wind, where we blow to we can never
tell, the air we blow out we may not know the density. the only thing
we should know is that some one is waiting to receive the air of life
from us, Lets blow the good air that will keep lives alive for our
better Tomorrow .... Peter Osa A Snr.

---

From: [email-masked]
Date: Thu, 30 Jun 2011 10:10:40 +0000

Dear Peter,
The work group is a discussion/e-meeting where issues/topics are raised and deliberated on. The issues has to do the internet and its related issues.

Kind regards,

Otueneh
 
Sent from my BlackBerry wireless device from MTN

-----Original Message-----
From: Amenawon Osa Peter <[email-masked]>
Sender: [email-masked]
Date: Wed, 29 Jun 2011 23:23:20 
To: <[email-masked]>
Subject: Re: Ietf Digest, Vol 37, Issue 103

thank you